%define initdir /etc/rc.d/init.d

Summary: An implementation of the RFC1413 identification server.
Name: pidentd
Version: 3.0.12
Release: 4
Copyright: Public domain
Group: System Environment/Daemons
Source: ftp://ftp.lysator.liu.se/pub/unix/ident/servers/pidentd-%{version}.tar.gz
Patch0: pidentd-3.0.10-dummy.patch
Source1: identd.conf
Source2: identd.init
Source3: sysconfig.identd
Provides: identd = %{version}
Prereq: /sbin/chkconfig fileutils sed /etc/init.d initscripts >= 5.54
BuildRequires: openssl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The pidentd package contains identd, which implements the RFC1413
identification server.  Identd looks up specific TCP/IP connections
and returns either the user name or other information about the
process that owns the connection.

Install pidentd if you need to look up information about specific
TCP/IP connections.

%prep
%setup -q
%patch0 -p1 -b .dummy

%build

%configure --with-threads=yes --with-des=yes

make
make -C src # itest idecrypt ikeygen

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

%makeinstall

{ cd $RPM_BUILD_ROOT
  ln -s identd .%{_sbindir}/in.identd	# XXX /etc/inetd.conf may need this
  ln -s identd.8 .%{_mandir}/man8/in.identd.8

  mkdir -p .%{initdir}
  install -m 0644 %SOURCE1 .%{_sysconfdir}/identd.conf
# install -m 0600 /dev/null .%{_sysconfdir}/identd.keys
  install -m 0755 %SOURCE2 .%{initdir}/identd
}

### install -c identconn ${RPM_BUILD_ROOT}%{_sbindir}/
strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc/sysconfig/identd
touch $RPM_BUILD_ROOT/%{_sysconfdir}/identd.key

%clean
rm -rf ${RPM_BUILD_ROOT}


%pre
groupadd -g 98 ident >/dev/null 2>&1 || :
useradd -M -n -g ident -o -r -d / -s /bin/false \
	-c "pident user" -u 98 ident >/dev/null 2>&1 || :

%post
/sbin/chkconfig --add identd

%preun
if [ $1 = 0 ]; then
    %{initdir}/identd stop > /dev/null 2>&1
    /sbin/chkconfig --del identd
fi

%postun
if [ "$1" -ge "1" ]; then
    %{initdir}/identd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt
/usr/sbin/idecrypt
/usr/sbin/ikeygen
/usr/sbin/identd
/usr/sbin/in.identd
%attr(0644,root,root)	%config	%{_sysconfdir}/identd.conf
%attr(0644,root,root)   %config %{_sysconfdir}/sysconfig/identd
%ghost  %attr(0600,ident,ident) %{_sysconfdir}/identd.key
%attr(0755,root,root)   %config %{initdir}/identd
%{_mandir}/man8/*


%changelog
* Sun Mar  4 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't include docs for IRIX (#30514)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- include ikeygen and idecrypt - support programs for the crypto abilities we
  now have (#29541)
- generate a key for identd in the init script

* Mon Feb 12 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 3.0.12, which drops privs earlier and compiles with openssl
- build with openssl support (#27051)

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- new style i18n

* Fri Jan 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use identd user, not a shared nobody (#12441)

* Thu Jan 18 2001 Trond Eivind Glomsrd <teg@redhat.com>
- gettextize initscript
- turn off by default
- add /etc/sysconfig/identd

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Tue Jul 18 2000 Jeff Johnson <jbj@redhat.com>
- fix: description in init script.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/nit.d -> /etc/init.d
- fix initscript
- add requires initscripts >= 5.20
- condrestart in postun

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed Apr 12 2000 Herbert Valerio Riedel <hvr@gnu.org>
- force building w/o support for libdes 
- fixed dummy patch for alpha arch

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- forcibly remove pidentd from inetd's control in %post.

* Mon Feb 21 2000 Bill Nottingham <notting@redhat.com>
- add patch to drop privs correctly

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix depenencies

* Wed Jan 19 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.10.

* Wed Jan 12 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.8.
- reduce no. of kernel threads to 2 in default configuration.

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- return of the init script

* Wed Sep 29 1999 Bill Nottingham <notting@redhat.com>
- fix unaligned traps on Alpha
- oops, take init script out

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Sat Sep  4 1999 Jeff Johnson <jbj@redhat.com>
- start identd through inetd.conf.

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- start after NFS mounts (for NFS /usr)

* Thu Aug 19 1999 Jeff Johnson <jbj@redhat.com>
- start identd with same options as were used when started by inetd.

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.7.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Aug  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.5.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.2.
- use %configure

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8.4.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
